View Issue Details

IDProjectCategoryView StatusLast Update
0000025luatexluatex bugpublic2008-06-24 11:53
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.25.1 
Target Version0.30.0Fixed in Version0.27.0 
Summary0000025: Crash on type1 font
DescriptionThe file below crashes luatex when the distribution is set up such that it uses the tfm file qplr.tfm (and associated ec-q.enc, qplr.pfb ).
Steps To Reproduce% engine=luatex
\setupoutput[pdftex]
\usetypescriptfile[type-gyr]
\usetypescript[palatino]
\setupbodyfont[palatino,12pt]
\starttext
ab\ccaron
\stoptext
TagsNo tags attached.

Activities

Taco

2008-04-09 16:48

administrator   ~0000013

Crash is fixed by revision 1139.

The underlying (non-fixed) problem is that The \ccaron marks character U+010D as used, which is outside of the 8-bit encoded range, resulting in crashes in the font writing backend.

#1139 simply makes sure the backend doesn't crash by resetting fo->last_char to 0xFF if it is too high. The proper solution is pending re-unification of the backend

Issue History

Date Modified Username Field Change
2008-04-09 16:25 Taco New Issue
2008-04-09 16:25 Taco Status new => assigned
2008-04-09 16:25 Taco Assigned To => Taco
2008-04-09 16:48 Taco Note Added: 0000013
2008-04-09 16:48 Taco Status assigned => resolved
2008-04-09 16:48 Taco Resolution open => fixed
2008-05-21 15:03 Taco Target Version => 0.30.0
2008-06-24 11:53 Taco Fixed in Version => 0.27.0
2008-06-24 11:53 Taco Status resolved => closed